Publicité
+ Répondre à la discussion
Affichage des résultats 1 à 4 sur 4
  1. #1
    Candidat au titre de Membre du Club
    Inscrit en
    avril 2003
    Messages
    39
    Détails du profil
    Informations forums :
    Inscription : avril 2003
    Messages : 39
    Points : 10
    Points
    10

    Par défaut PHPBB prévisualisation vide

    Bonjour,

    Mon hébergeur (1&1) va bientôt passer à php 5.4
    J'ai fait des tests dans cette nouvelle version de php mais il y a un bug sur mon PHPBB2 : on ne peux plus prévisualiser le message en cours. En cliquant sur le bouton "prévisualisation" ça efface tout le message et son titre.

    Pour l'instant je n'ai pas trouvé de solution.? La solution ultime serait de passer à la version PHPBB3 mais comme j'ai installé pas mal de modules supplémentaires sur mon phpbb2, cela va me prendre pas mal de temps (ce que je n'ai pas en ce moment) je cherche donc une solution alternative.

    Question 1 : Existe t'il une solution pour réparer ce bug.
    Question 2 : Y a t'il moyen de rester avec une version de php plus ancienne (5.2 ou antérieure) (chez 1&1 ils me disent que non)

  2. #2
    Membre chevronné
    Inscrit en
    janvier 2007
    Messages
    724
    Détails du profil
    Informations forums :
    Inscription : janvier 2007
    Messages : 724
    Points : 720
    Points
    720

    Par défaut

    Bonjour,
    Un petit tour avec google t'aurais fournis http://forums.phpbb-fr.com/annonces-...jet192035.html

  3. #3
    Candidat au titre de Membre du Club
    Inscrit en
    avril 2003
    Messages
    39
    Détails du profil
    Informations forums :
    Inscription : avril 2003
    Messages : 39
    Points : 10
    Points
    10

    Par défaut

    merci de ta réponse kabkab, mais je ne pense pas que ce correctif arrange mon problème... Je n'ai pas de message d'erreur...

  4. #4
    Membre chevronné
    Inscrit en
    janvier 2007
    Messages
    724
    Détails du profil
    Informations forums :
    Inscription : janvier 2007
    Messages : 724
    Points : 720
    Points
    720

    Par défaut

    Bonjour,
    Il arrive assez souvent qu'un correctif de php touche la validité de certaines fonctions en les déclarant obsolètes. Par exemple: ereg et eregi sont déclarées obsolètes depuis la version 5.3.0 est peuvent-être carrément éliminées des fonctions existantes sur php. Entre temps, php génère des warnings.
    Maintenant, si dans tes scripts il y a
    Code php :
    error_reporting(0);
    forcément tu n'auras pas d'erreur mais elles existent.

Liens sociaux

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •